Draft Facebinder/fr: Difference between revisions

From FreeCAD Documentation
m (Created page with "{{GuiCommand/fr|Name=Draft_Facebinder|Name/fr=Draft_Facebinder|Workbenches=Draft, Arch|MenuLocation=Draft → Facebinder|Shortcut=F F}}")
m (Created page with "La Facebinder est un objet très simple construit à partir de la face d'objet sélectionné. C'est un outil paramétrique, vous pouvez modifier l'objet d'origine et l'objet d...")
Line 3: Line 3:
==Description==
==Description==


La Facebinder est un objet très simple construit à partir de la face d'objet sélectionné. C'est un outil paramétrique, vous pouvez modifier l'objet d'origine et l'objet de Facebinder mis à jour en conséquence. Il peut être ensuite utilisé par exemple pour faire une extrusion dans une série de faces d'autres objets. Une utilisation typique se situe dans la conception architecturale, construire un objet qui couvre plusieurs murs. Vous pouvez déplacer et faire pivoter le Facebinder entier après sa création, il restera lié aux faces originales.
The facebinder a very simple object constructed from selected faces of other objects. It is of parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion out of a collection of faces from other objects. A typical use is in architectural design, to build an object that covers several pieces of walls. You can move and rotate the facebinder around after its creation, everything will stay linked to the original faces.


[[Image:Draft facebinder example.jpg|400px]]
[[Image:Draft facebinder example.jpg|400px]]

Revision as of 15:07, 13 February 2014

Draft_Facebinder

Emplacement du menu
Draft → Facebinder
Ateliers
Draft, Arch
Raccourci par défaut
F F
Introduit dans la version
-
Voir aussi
Aucun

Description

La Facebinder est un objet très simple construit à partir de la face d'objet sélectionné. C'est un outil paramétrique, vous pouvez modifier l'objet d'origine et l'objet de Facebinder mis à jour en conséquence. Il peut être ensuite utilisé par exemple pour faire une extrusion dans une série de faces d'autres objets. Une utilisation typique se situe dans la conception architecturale, construire un objet qui couvre plusieurs murs. Vous pouvez déplacer et faire pivoter le Facebinder entier après sa création, il restera lié aux faces originales.

How to use

  1. Select faces on objects (use CTRL to select several faces)
  2. Press the Facebinder, button, or press F, F keys

Scripting

The facebinder tool can be usedin scripts and macros by using the following function:

 makeFacebinder ( selectionset )
  • Creates a facebinder object from the given selection set, which is a list of selection objects such as returned by the FreeCADGui.Selection.getSelectionEx() method.
  • Only selected faces are taken into account
  • Returns the newly created object

Example:

 import Draft, FreeCADGui
 mySelection = FreeCADGui.Selection.getSelectionEx()
 Draft.makeFacebinder(mySelection)

Limitations

  • Not available before version 0.14